summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-config-svn/live-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-config-svn/live-install.sh')
-rwxr-xr-xabs/core/LinHES-config-svn/live-install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/abs/core/LinHES-config-svn/live-install.sh b/abs/core/LinHES-config-svn/live-install.sh
new file mode 100755
index 0000000..573bb1f
--- /dev/null
+++ b/abs/core/LinHES-config-svn/live-install.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+. /etc/X11/STBWINDOWMANAGER
+/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+keylaunch &
+/usr/bin/tilda &
+/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+if [ -f /opt/vmware/bin32/vmware-user-wrapper ]
+then
+ /opt/vmware/bin32/vmware-user-wrapper &
+fi
+xhost +
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+if [ x$NFSROOT = x1 ]
+then
+
+ unbuffer MythVantage &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+exec $STBWINDOWMANAGER